<mat-card>
  <mat-card-title>{{'signin' | translate}}</mat-card-title>
  <mat-card-content>
    <form class="example-form" fxLayout="column" [formGroup]="formGroup" novalidate>
      <mat-form-field>
        <input matInput type="text" [placeholder]="'username' | translate" [formControlName]="formControlNames.NAME">
        <mat-error *ngIf="controlHasError(formControlNames.NAME, 'required')">
          {{'fromErrors.required' | translate}}
        </mat-error>
      </mat-form-field>
      <mat-form-field>
        <input matInput type="password" [placeholder]="'password' | translate" [formControlName]="formControlNames.PASSWORD">
        <mat-error *ngIf="controlHasError(formControlNames.PASSWORD, 'required')">
          {{'fromErrors.required' | translate}}
        </mat-error>
      </mat-form-field>
      <mat-error *ngIf="serverError">
        {{getServerErrorLabel() | translate}}
      </mat-error>
    </form>
  </mat-card-content>
  <mat-card-actions>
    <button mat-button color="primary" type="submit" (click)="onFromSubmit($event)" [disabled]="!this.formGroup.valid">
      {{'signin' | translate}}
    </button>
  </mat-card-actions>
</mat-card>